package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.VuforiaImageGroup;


/**
*  service接口类
*/
public interface VuforiaImageGroupService{

    List<VuforiaImageGroup> getVuforiaImageGroupList(VuforiaImageGroup record);

    List<VuforiaImageGroup> getVuforiaImageGroupByPage(Page page, VuforiaImageGroup record);

    VuforiaImageGroup getVuforiaImageGroupById(String id);

    VuforiaImageGroup getVuforiaImageGroup(VuforiaImageGroup record);

    boolean createVuforiaImageGroup(VuforiaImageGroup record);

    boolean deleteVuforiaImageGroup(VuforiaImageGroup record);

    boolean updateVuforiaImageGroup(VuforiaImageGroup record);
}

